Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServRestriction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.InetServRestriction

All Implemented Interfaces:
  `Serializable`, `Idable`

public class InetServRestriction extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD`
  `static final int`
  `TYPE_SERVICE_ACCOUNT_DAY`
  `static final int`
  `TYPE_SERVICE_ACCOUNT_MONTH`
  `static final int`
  `TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD`
  `static final int`
  `TYPE_SERVICE_AMOUNT_DAY`
  `static final int`
  `TYPE_SERVICE_AMOUNT_MONTH`
  `static final int`
  `TYPE_TIME`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServRestriction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getComment()`
  `Object`
  `getConfig()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getInetServId()`
  `int`
  `getOrder()`
  `Set<Integer>`
  `getServiceIds()`
  `int`
  `getType()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(Object config)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setInetServId(int inetServId)`
  `void`
  `setOrder(int order)`
  `void`
  `setServiceIds(Set<Integer> serviceIds)`
  `void`
  `setType(int type)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_TIME

    public static final int TYPE_TIME
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD

    public static final int TYPE_SERVICE_AMOUNT_ACCOUNTING_PERIOD
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_AMOUNT_MONTH

    public static final int TYPE_SERVICE_AMOUNT_MONTH
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_AMOUNT_DAY

    public static final int TYPE_SERVICE_AMOUNT_DAY
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD

    public static final int TYPE_SERVICE_ACCOUNT_ACCOUNTING_PERIOD
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_ACCOUNT_MONTH

    public static final int TYPE_SERVICE_ACCOUNT_MONTH
    See Also:
      - Constant Field Values

  - ### TYPE_SERVICE_ACCOUNT_DAY

    public static final int TYPE_SERVICE_ACCOUNT_DAY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetServRestriction

    public InetServRestriction()

- ## Method Details

  - ### getInetServId

    public int getInetServId()

  - ### setInetServId

    public void setInetServId(int inetServId)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getOrder

    public int getOrder()

  - ### setOrder

    public void setOrder(int order)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getServiceIds

    public Set<Integer> getServiceIds()

  - ### setServiceIds

    public void setServiceIds(Set<Integer> serviceIds)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public Object getConfig()

  - ### setConfig

    public void setConfig(Object config)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`